=begin pod

=TITLE class Label

=SUBTITLE Tagged location in the source code

    class Label { ... }

In Perl 6, you can give for example loops a label, and use it to control that
loop (instead of the inner-most loop).

    USERS:          # the label
    for @users -> $u {
        for $u.pets -> $pet {
            # usage of a label
            next USERS if $pet.barks;
        }
        say "None of {$u}'s pets barks";
    }
    say USERS.^name;        # Label

Those label are objects of type C<Label>.

=head1 Methods

=head2 method next

Defined as:

    method next(Label:)

Usage:

    next LABEL

Begin the next iteration of the loop associated with the label.

=head2 method last

Defined as:

    method last(Label:)

Usage:

    last LABEL

Terminate the execution of the loop associated with the label.

=end pod
